/*
 * gtypes.h
 *
 * Some useful simple types.
 *
 * Copyright 1996 Derek B. Noonburg
 */
/*
 * Ported to EPOC by Sander van der Wal
 *
 * $Id: gtypes.h 1.2 2000-09-17 13:36:18+02 svdwal Exp svdwal $
 */

#ifndef GTYPES_H
#define GTYPES_H

#ifdef __SYMBIAN32__

#ifndef __E32STD_H__
#include <e32std.h>
#endif

typedef TBool GBool;
#define gTrue TRUE
#define gFalse FALSE

typedef TUint8 Guchar;
typedef TUint16 Gushort;
typedef TUint Guint;
typedef TUint32 Gulong;

#else

/*
 * These have stupid names to avoid conflicts with some (but not all)
 * C++ compilers which define them.
 */
typedef int GBool;
#define gTrue 1
#define gFalse 0

/*
 * These have stupid names to avoid conflicts with <sys/types.h>,
 * which on various systems defines some random subset of these.
 */
typedef unsigned char Guchar;
typedef unsigned short Gushort;
typedef unsigned int Guint;
typedef unsigned long Gulong;

#endif

#endif
