// ActivePage.h
//
// Copyright (c) 2000 Sander van der Wal. All rights reserved.
//
// $Id: activepage.h 1.1 2000-09-17 13:39:38+02 svdwal Exp svdwal $

#ifndef ACTIVEPAGE_H_
#define ACTIVEPAGE_H_

// Parent
#ifndef __E32BASE_H__
#include <e32base.h>
#endif

// --o PDF
class PDFDoc;
class OutputDev;
class Gfx;
#include "Object.h"


//////////////////////////////////////////////////////////////////////////////
//
// MActivePageObserver
//
//////////////////////////////////////////////////////////////////////////////
class MActivePageObserver
{
public:
  virtual void NotifyPageFinishedL(TInt aError) = 0;
};


//////////////////////////////////////////////////////////////////////////////
//
// CActivePage
//
//////////////////////////////////////////////////////////////////////////////
class CActivePage: public CActive
{
private:
  CActivePage(TInt aPriority, MActivePageObserver* aObserver);
  void ConstructL();

public:
  static CActivePage* NewL(TInt aPriority, MActivePageObserver* aObserver);
  ~CActivePage();

// --o CActive
private:
  void RunL();
  void DoCancel();

// --o CActivePage
public:
  // Display a page asynchronously
  void StartRenderingL(OutputDev *aOut, PDFDoc* aDoc, TInt aPage, int aDpi, int aRotate);

private:
  void StopRendering();

private:
  MActivePageObserver* iObserver;
  
  // global display state
  Gfx*   iGfx;
  Object iObj;
  TInt   iNumCmds;
};

#endif

