// EpocFontInfo.h
//
// Copyright 2000 Sander van der Wal

#ifndef EPOCFONTINFO_H
#define EPOCFONTINFO_H

// $Id: epocfontinfo.h 1.1 2000-09-17 13:39:35+02 svdwal Exp svdwal $

//
// Character encodings, EPOC R3
//

#define KEpocLatin1EncodingSize 271
static const char* const KEpocLatin1EncodingNames[KEpocLatin1EncodingSize] = {
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  "space",
  "exclam",
  "quotedbl",
  "numbersign",
  "dollar",
  "percent",
  "ampersand",
  "quotesingle",
  "parenleft",
  "parenright",
  "asterisk",
  "plus",
  "comma",
  "minus",
  "period",
  "slash",
  "zero",
  "one",
  "two",
  "three",
  "four",
  "five",
  "six",
  "seven",
  "eight",
  "nine",
  "colon",
  "semicolon",
  "less",
  "equal",
  "greater",
  "question",
  "at",
  "A",
  "B",
  "C",
  "D",
  "E",
  "F",
  "G",
  "H",
  "I",
  "J",
  "K",
  "L",
  "M",
  "N",
  "O",
  "P",
  "Q",
  "R",
  "S",
  "T",
  "U",
  "V",
  "W",
  "X",
  "Y",
  "Z",
  "bracketleft",
  "backslash",
  "bracketright",
  "asciicircum",
  "underscore",
  "grave",
  "a",
  "b",
  "c",
  "d",
  "e",
  "f",
  "g",
  "h",
  "i",
  "j",
  "k",
  "l",
  "m",
  "n",
  "o",
  "p",
  "q",
  "r",
  "s",
  "t",
  "u",
  "v",
  "w",
  "x",
  "y",
  "z",
  "braceleft",
  "bar",
  "braceright",
  "asciitilde",
  NULL,
  "Euro",
  NULL,
  "quotesinglbase",
  "florin",
  "quotedblbase",
  "ellipsis",
  "dagger",
  "daggerdbl",
  "circumflex",
  "perthousand",
  "Scaron",
  "guilsinglleft",
  "OE",
  NULL,
  "Zcaron",
  NULL,
  NULL,
  "quoteleft",
  "quoteright",
  "quotedblleft",
  "quotedblright",
  "bullet",
  "endash",
  "emdash",
  "tilde",
  "trademark",
  "scaron",
  "guilsinglright",
  "oe",
  NULL,
  "zcaron",
  "Ydieresis",
  NULL, //"space",
  "exclamdown",
  "cent",
  "sterling",
  "currency",
  "yen",
  "brokenbar",
  "section",
  "dieresis",
  "copyright",
  "ordfeminine",
  "guillemotleft",
  "logicalnot",
  "hyphen",
  "registered",
  "macron",
  "degree",
  "plusminus",
  "twosuperior",
  "threesuperior",
  "acute",
  "mu",
  "paragraph",
  "periodcentered",
  "cedilla",
  "onesuperior",
  "ordmasculine",
  "guillemotright",
  "onequarter",
  "onehalf",
  "threequarters",
  "questiondown",
  "Agrave",
  "Aacute",
  "Acircumflex",
  "Atilde",
  "Adieresis",
  "Aring",
  "AE",
  "Ccedilla",
  "Egrave",
  "Eacute",
  "Ecircumflex",
  "Edieresis",
  "Igrave",
  "Iacute",
  "Icircumflex",
  "Idieresis",
  "Eth",
  "Ntilde",
  "Ograve",
  "Oacute",
  "Ocircumflex",
  "Otilde",
  "Odieresis",
  "multiply",
  "Oslash",
  "Ugrave",
  "Uacute",
  "Ucircumflex",
  "Udieresis",
  "Yacute",
  "Thorn",
  "germandbls",
  "agrave",
  "aacute",
  "acircumflex",
  "atilde",
  "adieresis",
  "aring",
  "ae",
  "ccedilla",
  "egrave",
  "eacute",
  "ecircumflex",
  "edieresis",
  "igrave",
  "iacute",
  "icircumflex",
  "idieresis",
  "eth",
  "ntilde",
  "ograve",
  "oacute",
  "ocircumflex",
  "otilde",
  "odieresis",
  "divide",
  "oslash",
  "ugrave",
  "uacute",
  "ucircumflex",
  "udieresis",
  "yacute",
  "thorn",
  "ydieresis",
// these characters are emulated in some way
//
// by replacement
  "fraction", // slash
  "ring",     // degree

// by more than one char
  "fi",       // 'f' 'i'
  "fl",       // 'f' 'l'
  "ff",       // 'f' 'f'
  "ffi",      // 'f' 'f' 'i'
  "ffl",      // 'f' 'f' 'l'
  "hungarumlaut", // two acute's
  "caron",        // grave and acute

// ignored
  "Lslash",
  "breve",
  "dotaccent",
  "dotlessi",
  "lslash",
  "ogonek"

};

/*
#define isoLatin2EncodingSize 297
static const char* const isoLatin2EncodingNames[isoLatin2EncodingSize] = {
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  "space",
  "exclam",
  "quotedbl",
  "numbersign",
  "dollar",
  "percent",
  "ampersand",
  "quoteright",
  "parenleft",
  "parenright",
  "asterisk",
  "plus",
  "comma",
  "minus",
  "period",
  "slash",
  "zero",
  "one",
  "two",
  "three",
  "four",
  "five",
  "six",
  "seven",
  "eight",
  "nine",
  "colon",
  "semicolon",
  "less",
  "equal",
  "greater",
  "question",
  "at",
  "A",
  "B",
  "C",
  "D",
  "E",
  "F",
  "G",
  "H",
  "I",
  "J",
  "K",
  "L",
  "M",
  "N",
  "O",
  "P",
  "Q",
  "R",
  "S",
  "T",
  "U",
  "V",
  "W",
  "X",
  "Y",
  "Z",
  "bracketleft",
  "backslash",
  "bracketright",
  "asciicircum",
  "underscore",
  "quoteleft",
  "a",
  "b",
  "c",
  "d",
  "e",
  "f",
  "g",
  "h",
  "i",
  "j",
  "k",
  "l",
  "m",
  "n",
  "o",
  "p",
  "q",
  "r",
  "s",
  "t",
  "u",
  "v",
  "w",
  "x",
  "y",
  "z",
  "braceleft",
  "bar",
  "braceright",
  "asciitilde",
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  "Aogonek",
  "breve",
  "Lslash",
  "currency",
  "Lcaron",
  "Sacute",
  "section",
  "dieresis",
  "Scaron",
  "Scommaaccent",
  "Tcaron",
  "Zacute",
  "endash",
  "Zcaron",
  "Zdotaccent",
  "degree",
  "aogonek",
  "ogonek",
  "lslash",
  "acute",
  "lcaron",
  "sacute",
  "caron",
  "cedilla",
  "scaron",
  "scommaaccent",
  "tcaron",
  "zacute",
  "hungarumlaut",
  "zcaron",
  "zdotaccent",
  "Racute",
  "Aacute",
  "Acircumflex",
  "Abreve",
  "Adieresis",
  "Lacute",
  "Cacute",
  "Ccedilla",
  "Ccaron",
  "Eacute",
  "Eogonek",
  "Edieresis",
  "Ecaron",
  "Iacute",
  "Icircumflex",
  "Dcaron",
  "Dcroat",
  "Nacute",
  "Ncaron",
  "Oacute",
  "Ocircumflex",
  "Ohungarumlaut",
  "Odieresis",
  "multiply",
  "Rcaron",
  "Uring",
  "Uacute",
  "Uhungarumlaut",
  "Udieresis",
  "Yacute",
  "Tcommaaccent",
  "germandbls",
  "racute",
  "aacute",
  "acircumflex",
  "abreve",
  "adieresis",
  "lacute",
  "cacute",
  "ccedilla",
  "ccaron",
  "eacute",
  "eogonek",
  "edieresis",
  "ecaron",
  "iacute",
  "icircumflex",
  "dcaron",
  "dcroat",
  "nacute",
  "ncaron",
  "oacute",
  "ocircumflex",
  "ohungarumlaut",
  "odieresis",
  "divide",
  "rcaron",
  "uring",
  "uacute",
  "uhungarumlaut",
  "udieresis",
  "yacute",
  "tcommaaccent",
  "dotaccent",
  "quotesingle",
  "emdash",
  "hyphen",
  "fraction",
  "ring",
  "bullet",
  "trademark",
  "fi",
  "fl",
  "ff",
  "ffi",
  "ffl",
  "OE",
  "oe",
  "ellipsis",
  "quotedblleft",
  "quotedblright",
  NULL,
  NULL,
  NULL,
  "Ydieresis",
  NULL,
  NULL,
  "circumflex",
  "dagger",
  "daggerdbl",
  NULL,
  "dotlessi",
  "florin",
  "grave",
  "guilsinglleft",
  "guilsinglright",
  NULL,
  NULL,
  NULL,
  "perthousand",
  "quotedblbase",
  "quotesinglbase",
  NULL,
  "tilde",
  NULL
};

*/

struct EpocFontInfoGlobal
{
  EpocFontInfoGlobal();
  TInt Construct();
  ~EpocFontInfoGlobal();
  
  FontEncoding* iWindowsLatin1Encoding;
};

#endif