// PDFGlobal.h
//
// Copyright (c) 1999 Sander van der Wal.
//
// Global data gathered in one struct and accessed via thread-local storage
//

#ifndef PDFGLOBAL_H
#define PDFGLOBAL_H  

// $Id: pdfglobal.h 1.1 2000-09-17 13:39:34+02 svdwal Exp svdwal $

#ifndef __E32STD_H__
#include "e32std.h"
#endif

#ifndef   FONTENCODING_H
#include "FontEncoding.h"
#endif

#ifndef   FONTINFO_H
#include "FontInfo.h"
#endif

#ifndef   STDFONTINFO_H
#include "StdFontInfo.h"
#endif

#ifndef   XREF_H
#include "XRef.h"
#endif

#ifndef   EPOCFONTINFO_H
#include "EpocFontInfo.h"
#endif

struct PdfGlobal
{
  PdfGlobal();
  TInt Construct();
  ~PdfGlobal();

  StdFontInfoGlobal FontFile; // Pdf font declarations

  FontInfoGlobal GfxFont;
  
  XRefGlobal XRef;

  EpocFontInfoGlobal Epoc;
};


//
// Use global pointer on WINS because of problems in load time allocation
//
#ifdef __WINS__

extern PdfGlobal  __globalData;
inline PdfGlobal& Global() { return __globalData; }

#endif // __WINS__

#ifdef __MARM__

inline PdfGlobal& Global() { return(*((PdfGlobal*)Dll::Tls())); }

#endif // __MARM__

#endif
